GDB (xrefs)

Classes | Functions
/tmp/gdb-8.1/gdb/bfd-target.c File Reference
`#include "defs.h"`
`#include "target.h"`
`#include "bfd-target.h"`
`#include "exec.h"`
`#include "gdb_bfd.h"`

Go to the source code of this file.

## Classes
struct | target_bfd_data

## Functions
static enum target_xfer_status | target_bfd_xfer_partial (struct target_ops *ops, enum target_object object, const char *annex, gdb_byte *readbuf, const gdb_byte *writebuf, ULONGEST offset, ULONGEST len, ULONGEST *xfered_len)
static struct target_section_table * | target_bfd_get_section_table (struct target_ops *ops)
static void | target_bfd_xclose (struct target_ops *t)
struct target_ops * | target_bfd_reopen (struct bfd *abfd)

## Function Documentation

## ◆ target_bfd_get_section_table()

static struct target_section_table* target_bfd_get_section_table | ( | struct target_ops * | ops | ) |
| static

Definition at line 64 of file bfd-target.c.

References target_bfd_data::table, and target_ops::to_data.

Referenced by target_bfd_reopen().

## ◆ target_bfd_reopen()

struct target_ops* target_bfd_reopen | ( | struct bfd * | abfd | ) |

Definition at line 82 of file bfd-target.c.

References _, target_bfd_data::bfd, build_section_table(), gdb_bfd_ref(), OPS_MAGIC, target_section_table::sections, target_section_table::sections_end, target_bfd_data::table, target_bfd_get_section_table(), target_bfd_xclose(), target_bfd_xfer_partial(), target_ops::to_data, target_ops::to_doc, target_ops::to_get_section_table, target_ops::to_longname, target_ops::to_magic, target_ops::to_shortname, target_ops::to_xclose, target_ops::to_xfer_partial, and XCNEW.

Referenced by enable_break().

## ◆ target_bfd_xclose()

static void target_bfd_xclose | ( | struct target_ops * | t | ) |
| static

Definition at line 71 of file bfd-target.c.

References target_bfd_data::bfd, gdb_bfd_unref(), target_section_table::sections, target_bfd_data::table, target_ops::to_data, and xfree().

Referenced by target_bfd_reopen().

## ◆ target_bfd_xfer_partial()

static enum target_xfer_status target_bfd_xfer_partial | ( | struct target_ops * | ops,
|  | enum target_object | object,
|  | const char * | annex,
|  | gdb_byte * | readbuf,
|  | const gdb_byte * | writebuf,
|  | ULONGEST | offset,
|  | ULONGEST | len,
|  | ULONGEST * | xfered_len
| ) |  |
| static

Definition at line 40 of file bfd-target.c.

References offset, section_table_xfer_memory_partial(), target_section_table::sections, target_section_table::sections_end, target_bfd_data::table, TARGET_OBJECT_MEMORY, TARGET_XFER_E_IO, and target_ops::to_data.

Referenced by target_bfd_reopen().